Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfAnchorType

    java.lang.Object
      java.lang.Enum<OdfAnchorType>
          org.odftoolkit.odfdom.dom.type.text.OdfAnchorType

All Implemented Interfaces:
  Serializable, Comparable<OdfAnchorType>

    public enum OdfAnchorType

extends Enum<OdfAnchorType>

DOM implementation of OpenDocument attribute text:anchor-type.

Enum Constant Summary
`AS_CHAR`
`CHAR`
`FRAME`
`PAGE`
`PARAGRAPH`

Method Summary
`static OdfAnchorType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfAnchorType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfAnchorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfAnchorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AS_CHAR

    public static final OdfAnchorType AS_CHAR

### CHAR

    public static final OdfAnchorType CHAR

### PAGE

    public static final OdfAnchorType PAGE

### PARAGRAPH

    public static final OdfAnchorType PARAGRAPH

### FRAME

    public static final OdfAnchorType FRAME

Method Detail

### values

    public static OdfAnchorType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfAnchorType c : OdfAnchorType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfAnchorType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfAnchorType>`
  Returns:
    return the name of OdfAnchorType

### toString

    public static String toString(OdfAnchorType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfAnchorType, see text:anchor-type
  Returns:
    return the name of OdfAnchorType

### enumValueOf

    public static OdfAnchorType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfAnchorType
  Returns:
    return the constant of OdfAnchorType, see text:anchor-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.